{% extends "base.html" %}
{% load staticfiles %}
{% block title %} 登录 {% endblock title %}
{% block content %}
<div class="container">
        <div class="d-flex mt-5 justify-content-center">
            <br>
            <form method="post" action=".">
                {% csrf_token %}
                <!-- 账号 -->
                <div class="form-group">
                    <label for="username">账号</label>
                    <input type="text" class="form-control" id="username" name="username">
                </div>
                <!-- 密码 -->
                <div class="form-group">
                    <label for="password">密码</label>
                    <input type="password" class="form-control" id="password" name="password">
                </div>
                <!-- 提交按钮 -->
                <button type="submit" class="btn btn-primary">提交</button>
                <!-- 注册 -->
                <div class="col-12">
                    <br>
                    <h5>点击<a href='{% url "userprofile:register" %}'>注册</a></h5>
                    <br>
                </div>
            </form>
        </div>
</div>
{% if messages %}
        <script>
            {% for msg in messages %}
                alert('{{ msg.message }}');
            {% endfor %}
        </script>
{% endif %}
{% endblock content %}